## gfan 0.3

=== Makefile ===
ALL: default

##GPROFFLAG = -pg
#PREFIX?=/usr/local
#BINDIR=$(PREFIX)/bin

RELEASEDIR = gfan0.3
MAIN       = gfan

GCATSPATH   = ./


ifeq ($(gmppath),)
GMP_LINKOPTIONS = -lgmp
GMP_INCLUDEOPTIONS =
else
GMP_LINKOPTIONS = $(gmppath)/lib/libgmp.a
GMP_INCLUDEOPTIONS = -I $(gmppath)/include
endif

ifeq ($(cddpath),)
ADDITIONALLINKOPTIONS = -lcddgmp -lgmp 
#ADDITIONALLINKOPTIONS = -lgmp -lcddgmp
ADDITIONALINCLUDEOPTIONS =
else
#ADDITIONALLINKOPTIONS = -lgmp $(cddpath)lib-src-gmp/libcddgmp.a
ADDITIONALLINKOPTIONS = $(cddpath)lib-src-gmp/libcddgmp.a -lgmp 
ADDITIONALINCLUDEOPTIONS = -I $(cddpath)lib-src -I $(cddpath)lib-src-gmp
endif


MKDIR=mkdir -p


SHELL       = /bin/sh
ARCH        = LINUX
CC          = gcc
CLINKER     = $(CC)
CCC         = g++
CCLINKER    = $(CCC)
OPTFLAGS    = -O2 -DGMPRATIONAL

CFLAGS	  = -I$(SAGE_LOCAL)/include $(OPTFLAGS) $(GPROFFLAG) $(ADDITIONALINCLUDEOPTIONS) #-pedantic
#CFLAGS	  = $(OPTFLAGS) $(GPROFFLAG) $(ADDITIONALINCLUDEOPTIONS) #-pedantic
CCFLAGS	  = $(CFLAGS)
FFLAGS	  = $(OPTFLAGS)

CATSOBJECTS =	$(GCATSPATH)lp_cdd.o \
		$(GCATSPATH)parser.o \
		$(GCATSPATH)field.o \
		$(GCATSPATH)monomial.o \
		$(GCATSPATH)printer.o	\
		$(GCATSPATH)polynomial.o \
		$(GCATSPATH)termorder.o \
		$(GCATSPATH)term.o \
		$(GCATSPATH)vektor.o \
		$(GCATSPATH)division.o \
		$(GCATSPATH)buchberger.o \
		$(GCATSPATH)wallideal.o \
		$(GCATSPATH)lp.o \
		$(GCATSPATH)enumeration.o \
		$(GCATSPATH)ep_standard.o \
		$(GCATSPATH)ep_xfig.o \
		$(GCATSPATH)reversesearch.o \
		$(GCATSPATH)application.o \
		$(GCATSPATH)timer.o \
		$(GCATSPATH)renderer.o \
		$(GCATSPATH)field_rationals.o \
		$(GCATSPATH)symmetry.o \
		$(GCATSPATH)breadthfirstsearch.o \
		$(GCATSPATH)genericwalk.o \
		$(GCATSPATH)minkowskisum.o \
		$(GCATSPATH)newtonpolytope.o \
		$(GCATSPATH)tropical.o \
		$(GCATSPATH)dimension.o \
		$(GCATSPATH)bergman.o \
		$(GCATSPATH)subspace.o \
		$(GCATSPATH)polyhedralcone.o \
		$(GCATSPATH)gfanapplication.o \
		$(GCATSPATH)polyhedralfan.o \
		$(GCATSPATH)tropical2.o \
		$(GCATSPATH)gmpallocator.o \
		$(GCATSPATH)field_zmodpz.o \
		binomial.o \
		matrix.o \
		latticeideal.o \
		scarf.o \
		xfig.o \
		halfopencone.o \
		lll.o \
		multiplicity.o \
		substitute.o \
		polymakefile.o \
		saturation.o \
		determinant.o \
		polynomialring.o \
		log.o \
		tropicalbasis.o \
		symmetriccomplex.o \

# I removed this from the list below
#    app_construction.o \
# See SAGE.txt for more details.

APPOBJECTS = app_main.o \
		app_buchberger.o \
		app_doesidealcontain.o \
		app_edwinsconjecture.o \
		app_facets.o \
		app_fvector.o \
		app_groebnercone.o \
		app_groupfacetbinomials.o \
		app_homogeneityspace.o \
		app_homogenize.o \
		app_initialforms.o \
		app_interactive.o \
		app_isgroebnerbasis.o \
		app_ismarkedgroebnerbasis.o \
		app_krulldimension.o \
		app_leadingterms.o \
		app_liststandardmonomials.o \
		app_markpolynomialset.o \
		app_multiplymatrix.o \
		app_polynomialsetunion.o \
		app_render.o \
		app_rendernewtonpolytope.o \
		app_renderstaircase.o \
		app_stats.o \
		app_substitute.o \
		app_supportindices.o \
		app_tolatex.o \
		app_transposematrix.o \
		app_tropical.o \
		app_tropicalbasis.o \
		app_tropicalintersection.o \
		app_tropicalstartingcone.o \
		app_tropicaltraverse.o \
		app_walk.o \
		app_weightvector.o \
		app_xfigconstruction.o \
		app_scarfisgeneric.o \
		app_scarfvisualize.o \
		app_scarfcomplex.o \
		app_sturmsequence.o \
		app_latticeideal.o \
		app_latticetest.o \
		app_lll.o \
		app_tropicalmultiplicity.o \
		app_idealintersection.o \
		app_test.o \
		app_saturation.o \
		app_triangulate.o \
		app_idealproduct.o \
		app_representatives.o \
		app_tropicallifting.o \
		app_add.o \
		app_topolyhedralfan.o \
		app_tropicalbruteforce.o \

#		app_isrefinement.o \    # needs to be fixed so that it compiles with gcc version 2.96 (legolas.imf.au.dk)


EXECS	  = $(MAIN)

# Define suffixes to make the program compile on legolas.imf.au.dk :
.SUFFIXES: .o .cpp .c

OBJECTS = $(CATSOBJECTS) $(APPOBJECTS)

all: $(MAIN)

default: $(OBJECTS) $(ADDITIONALOBJECTS) $(EXECS)

$(MAIN): $(OBJECTS)
	$(CCLINKER) $(OBJECTS) $(ADDITIONALLINKOPTIONS) $(GPROFFLAG) -o $(MAIN)

release:
	rm $(RELEASEDIR)/* -f -r
	mkdir $(RELEASEDIR) -p
	cp *.cpp $(RELEASEDIR)
	cp *.h $(RELEASEDIR)
	cp Makefile $(RELEASEDIR)
	cp README $(RELEASEDIR)
	cp LICENSE $(RELEASEDIR)
	cp COPYING $(RELEASEDIR)
	mkdir $(RELEASEDIR)/examples/ -p
#General examples:
	cp examples/2x2of2x3 $(RELEASEDIR)/examples/
	cp examples/2x2of2x4 $(RELEASEDIR)/examples/
	cp examples/2x2of3x3 $(RELEASEDIR)/examples/
	cp examples/2x2of4x4 $(RELEASEDIR)/examples/
	cp examples/4x4of4x5 $(RELEASEDIR)/examples/
	cp examples/4x4of5x5 $(RELEASEDIR)/examples/
	cp examples/6x6-subPfaffians $(RELEASEDIR)/examples/
	cp examples/cyclic4 $(RELEASEDIR)/examples/
	cp examples/linhyper5_2 $(RELEASEDIR)/examples/
	cp examples/linhyper5_2.cone $(RELEASEDIR)/examples/
	cp examples/pablo $(RELEASEDIR)/examples/
	cp examples/symmetryTest $(RELEASEDIR)/examples/
#Examples in Groebner fan paper:
	cp examples/examplePaper $(RELEASEDIR)/examples/
	cp examples/sturmfels3.9 $(RELEASEDIR)/examples/
	cp examples/3x3of3x4 $(RELEASEDIR)/examples/
	cp examples/3x3of3x5 $(RELEASEDIR)/examples/
	cp examples/3x3of4x4 $(RELEASEDIR)/examples/
#	cp examples/3x3of4x4sym $(RELEASEDIR)/examples/
	cp examples/grassmann2_5 $(RELEASEDIR)/examples/
	cp examples/cyclic5 $(RELEASEDIR)/examples/
#	cp examples/J4 $(RELEASEDIR)/examples/
#Examples useful for tropical computations:
#	cp examples/grassmann2_5 $(RELEASEDIR)/examples/
	cp examples/grassmann2_5.cone $(RELEASEDIR)/examples/
	cp examples/grassmann2_6 $(RELEASEDIR)/examples/
	cp examples/grassmann2_6.cone $(RELEASEDIR)/examples/
	cp examples/grassmann3_6 $(RELEASEDIR)/examples/
	cp examples/grassmann3_6.cone $(RELEASEDIR)/examples/
#Examples in tropical paper:
	cp examples/hankel3x3of4x4 $(RELEASEDIR)/examples/
	cp examples/hankel3x3of4x4.cone $(RELEASEDIR)/examples/
	cp examples/hankel3x3of4x5 $(RELEASEDIR)/examples/
	cp examples/hankel3x3of4x5.cone $(RELEASEDIR)/examples/
#	cp examples/hankel3x3of5x5 $(RELEASEDIR)/examples/
#	cp examples/hankel3x3of5x5.cone $(RELEASEDIR)/examples/
	cp examples/3x3of3x5.cone $(RELEASEDIR)/examples/
#	cp examples/3x3of4x4sym $(RELEASEDIR)/examples/
	cp examples/3x3of4x4sym.cone $(RELEASEDIR)/examples/
#	cp examples/3x3of5x5sym $(RELEASEDIR)/examples/
#	cp examples/3x3of5x5sym.cone $(RELEASEDIR)/examples/
	cp examples/commat2x2 $(RELEASEDIR)/examples/
	cp examples/commat2x2.cone $(RELEASEDIR)/examples/
#	cp examples/commat3x3 $(RELEASEDIR)/examples/
#	cp examples/commat3x3.cone $(RELEASEDIR)/examples/

	mkdir $(RELEASEDIR)/doc/ -p
	cp doc/Makefile $(RELEASEDIR)/doc/
	cp doc/*.bib $(RELEASEDIR)/doc/
	cp doc/*.bbl $(RELEASEDIR)/doc/
	cp doc/*.tex $(RELEASEDIR)/doc/
	cp doc/*.dvi $(RELEASEDIR)/doc/
	cp doc/*.eps $(RELEASEDIR)/doc/
	cp doc/*.bst $(RELEASEDIR)/doc/
	cp doc/Makefile $(RELEASEDIR)/doc/
	mkdir $(RELEASEDIR)/homepage/ -p
	cp homepage/*.png $(RELEASEDIR)/homepage/
	cp homepage/*.html $(RELEASEDIR)/homepage/
	cp homepage/Makefile $(RELEASEDIR)/homepage/
	mkdir $(RELEASEDIR)/homepage/presentation -p
	cp homepage/presentation/*.fig $(RELEASEDIR)/homepage/presentation/
	cp homepage/presentation/*.tex $(RELEASEDIR)/homepage/presentation/
	cp homepage/presentation/*.eps $(RELEASEDIR)/homepage/presentation/
	cp homepage/presentation/*.bib $(RELEASEDIR)/homepage/presentation/
	cp homepage/presentation/*.bbl $(RELEASEDIR)/homepage/presentation/
	cp homepage/presentation/*.ps $(RELEASEDIR)/homepage/presentation/
	cp homepage/presentation/*.pdf $(RELEASEDIR)/homepage/presentation/
	cp homepage/presentation/Makefile $(RELEASEDIR)/homepage/presentation/

	tar -c $(RELEASEDIR) > $(RELEASEDIR).tar  
	gzip $(RELEASEDIR).tar

clean:
	/bin/rm -f *.o $(EXECS) $(MAIN)
install:
	cp $(EXECS) /usr/local/bin
	./gfan installlinks /usr/local/bin/
.c.o:
	$(CC) $(CFLAGS) -c $<
.cc.o:
	$(CCC) -c $<
.cpp.o:
	$(CCC) $(CFLAGS) -c $<
.C.o:
	$(CCC) -c $<

## gfan 0.3dfsg

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,10 @@
 ALL: default
 
 ##GPROFFLAG = -pg
-#PREFIX?=/usr/local
-#BINDIR=$(PREFIX)/bin
+
+PREFIX?=/usr/local
+
+BINDIR=$(PREFIX)/bin
 
 RELEASEDIR = gfan0.3
 MAIN       = gfan
@@ -19,14 +21,15 @@
 endif
 
 ifeq ($(cddpath),)
-ADDITIONALLINKOPTIONS = -lcddgmp -lgmp 
-#ADDITIONALLINKOPTIONS = -lgmp -lcddgmp
-ADDITIONALINCLUDEOPTIONS =
+CDD_LINKOPTIONS = -L/usr/local -lcddgmp
+CDD_INCLUDEOPTIONS =
 else
-#ADDITIONALLINKOPTIONS = -lgmp $(cddpath)lib-src-gmp/libcddgmp.a
-ADDITIONALLINKOPTIONS = $(cddpath)lib-src-gmp/libcddgmp.a -lgmp 
-ADDITIONALINCLUDEOPTIONS = -I $(cddpath)lib-src -I $(cddpath)lib-src-gmp
+CDD_LINKOPTIONS = $(cddpath)/lib/libcddgmp.a
+CDD_INCLUDEOPTIONS = -I $(cddpath)/include
 endif
+
+ADDITIONALLINKOPTIONS = $(CDD_LINKOPTIONS) $(GMP_LINKOPTIONS)
+ADDITIONALINCLUDEOPTIONS = $(CDD_INCLUDEOPTIONS) $(GMP_INCLUDEOPTIONS)
 
 
 MKDIR=mkdir -p
@@ -40,8 +43,7 @@
 CCLINKER    = $(CCC)
 OPTFLAGS    = -O2 -DGMPRATIONAL
 
-CFLAGS	  = -I$(SAGE_LOCAL)/include $(OPTFLAGS) $(GPROFFLAG) $(ADDITIONALINCLUDEOPTIONS) #-pedantic
-#CFLAGS	  = $(OPTFLAGS) $(GPROFFLAG) $(ADDITIONALINCLUDEOPTIONS) #-pedantic
+CFLAGS	  = $(OPTFLAGS) $(GPROFFLAG) $(ADDITIONALINCLUDEOPTIONS) #-pedantic
 CCFLAGS	  = $(CFLAGS)
 FFLAGS	  = $(OPTFLAGS)
 
@@ -98,12 +100,9 @@
 		tropicalbasis.o \
 		symmetriccomplex.o \
 
-# I removed this from the list below
-#    app_construction.o \
-# See SAGE.txt for more details.
-
 APPOBJECTS = app_main.o \
 		app_buchberger.o \
+		app_construction.o \
 		app_doesidealcontain.o \
 		app_edwinsconjecture.o \
 		app_facets.o \
@@ -168,6 +167,12 @@
 OBJECTS = $(CATSOBJECTS) $(APPOBJECTS)
 
 all: $(MAIN)
+
+$(BINDIR): $(PREFIX)
+	$(MKDIR) $(BINDIR)
+
+$(PREFIX):
+	$(MKDIR) $(PREFIX)
 
 default: $(OBJECTS) $(ADDITIONALOBJECTS) $(EXECS)
 
@@ -259,9 +264,10 @@
 
 clean:
 	/bin/rm -f *.o $(EXECS) $(MAIN)
-install:
-	cp $(EXECS) /usr/local/bin
-	./gfan installlinks /usr/local/bin/
+install: $(BINDIR)
+	cp $(EXECS) $(BINDIR)
+#	cp $(EXECS) /usr/local/bin
+	./gfan installlinks --path $(BINDIR)/
 .c.o:
 	$(CC) $(CFLAGS) -c $<
 .cc.o:
@@ -270,3 +276,16 @@
 	$(CCC) $(CFLAGS) -c $<
 .C.o:
 	$(CCC) -c $<
+# wget http://ftp.sunet.se/pub/gnu/gmp/gmp-4.2.2.tar.gz
+# tar -xzvf gmp-4.2.2.tar.gz
+# cd gmp-4.2.2
+# ./configure --prefix=$HOME/gmp
+# make
+# make install
+# make check
+# cd..
+
+# wget ftp://ftp.ifor.math.ethz.ch/pub/fukuda/cdd/cddlib-094d.tar.gz  # THIS LINE DOES NOT WORK!
+# tar -xzvf cddlib-094d.tar.gz
+# cd cddlib-094d
+# ./configure --prefix="$HOME/cddlib" CFLAGS="-I$HOME/gmp/include -L$HOME/gmp/lib"

=== homepage/Makefile ===
upload:
	mkdir uploaddir -p
	cp gfan.html uploaddir/
	cp *.png uploaddir/
	cp ../gfan0.3.tar.gz uploaddir/
	cp presentation/presentation.ps uploaddir/
	cp presentation/presentation.pdf uploaddir/
	cp ../doc/manual.ps uploaddir/gfanmanual0.3.ps
	cp ../doc/manual.pdf uploaddir/gfanmanual0.3.pdf
	scp uploaddir/* jensen@heawood.math.tu-berlin.de:WWW/software/gfan/
#	scp uploaddir/* jensen@horner:WWW/software/gfan/
#	scp uploaddir/* ajensen@imf.au.dk:public_html/software/gfan/

## gfan 0.5%2Bdfsg

=== homepage/Makefile ===
upload:
	mkdir -p uploaddir
	cp gfan.html uploaddir/
	cp binaries.html uploaddir/
	cp *.png uploaddir/
	cp ../gfan0.5.tar.gz uploaddir/
	cp presentation/presentation.ps uploaddir/
	cp presentation/presentation.pdf uploaddir/
	cp ../doc/manual.ps uploaddir/gfanmanual0.5.ps
	cp ../doc/manual.pdf uploaddir/gfanmanual0.5.pdf
	scp uploaddir/* jensen@heawood.math.tu-berlin.de:WWW/software/gfan/
#	scp uploaddir/* jensen@horner:WWW/software/gfan/
#	scp uploaddir/* ajensen@imf.au.dk:public_html/software/gfan/

=== debian/control ===
Source: gfan
Section: math
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tim Abbott <tabbott@mit.edu>,
	   Cédric Boutillier <boutil@debian.org>,
	   Doug Torrance <dtorrance@piedmont.edu>
Homepage: http://home.imf.au.dk/jensen/software/gfan/gfan.html
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/gfan.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/gfan.git
Build-Depends: debhelper (>= 9), libgmp3-dev, libcdd-dev (>= 094g~), dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.8

Package: gfan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: program for computing with Groebner fans
 Gfan is a software package for computing Groebner fans and tropical
 varieties. These are polyhedral fans associated to polynomial
 ideals. The maximal cones of a Groebner fan are in bijection with
 the marked reduced Groebner bases of its defining ideal. The
 software computes all marked reduced Groebner bases of an ideal.
 Their union is a universal Groebner basis. The tropical variety of a
 polynomial ideal is a certain subcomplex of the Groebner fan. Gfan
 contains algorithms for computing this complex for general ideals and
 specialized algorithms for tropical curves, tropical hypersurfaces
 and tropical varieties of prime ideals. In addition to the above core
 functions the package contains many tools which are useful in the
 study of Groebner bases, initial ideals and tropical geometry. Among
 these are an interactive traversal program for Groebner fans and
 programs for graphical renderings.
 .
 For ordinary Groebner basis computations Gfan is not competitive in
 speed compared to programs such as CoCoA, Singular and Macaulay2.

## gfan 0.5+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,29 @@
 ALL: default
 
-##GPROFFLAG = -pg
+# GPROFFLAG = -pg
+ GPROFFLAG = -g
 
 PREFIX?=/usr/local
 
 BINDIR=$(PREFIX)/bin
 
-RELEASEDIR = gfan0.3
+RELEASEDIR = gfan0.5
 MAIN       = gfan
 
 GCATSPATH   = ./
 
+
+ifeq ($(sagepath),)
+SAGE_LINKOPTIONS = 
+SAGE_INCLUDEOPTIONS =
+else
+SAGE_LINKOPTIONS = -L$(sagepath)/ -lpython2.6 -lcsage -lsingular
+SAGE_INCLUDEOPTIONS = -I $(sagepath)/
+SAGE_OBJECTS = sage.o sage_link.so
+
+sage_link.so: sage_link.pyx setup.py
+	python setup.py build_ext --inplace --pyrex-include-dirs=$(SAGE_ROOT)/devel/sage/
+endif
 
 ifeq ($(gmppath),)
 GMP_LINKOPTIONS = -lgmp
@@ -28,26 +41,57 @@
 CDD_INCLUDEOPTIONS = -I $(cddpath)/include
 endif
 
-ADDITIONALLINKOPTIONS = $(CDD_LINKOPTIONS) $(GMP_LINKOPTIONS)
-ADDITIONALINCLUDEOPTIONS = $(CDD_INCLUDEOPTIONS) $(GMP_INCLUDEOPTIONS)
+ifeq ($(soplex),)
+SOPLEX_PATH =
+SOPLEX_LINKOPTIONS =
+SOPLEX_INCLUDEOPTIONS =
+SOPLEX_OBJECTS =
+else
+SOPLEX_PATH = $(HOME)/math/software/soplex-1.3.2
+# SOPLEX_LINKOPTIONS = -lz $(SOPLEX_PATH)/lib/libsoplex.linux.x86.gnu.opt.a
+SOPLEX_LINKOPTIONS = -lz $(SOPLEX_PATH)/lib/libsoplex.darwin.x86.gnu.opt.a
+SOPLEX_INCLUDEOPTIONS = -I $(SOPLEX_PATH)/src
+SOPLEX_OBJECTS = lp_soplexcdd.o
+endif
+
+ifeq ($(singular),)
+SINGULAR_PATH =
+SINGULAR_LINKOPTIONS =
+SINGULAR_INCLUDEOPTIONS =
+SINGULAR_OBJECTS =
+else
+SINGULAR_PATH = $(HOME)/math/software/Singular-3-1-0
+SINGULAR_LINKOPTIONS =  -L$(SINGULAR_PATH)/Singular -lsingular -lncurses -lreadline
+SINGULAR_INCLUDEOPTIONS = -I $(SINGULAR_PATH)/kernel -I $(SINGULAR_PATH)/omalloc
+SINGULAR_OBJECTS = singular.o singularconversion.o
+endif
+
+
+
+ADDITIONALLINKOPTIONS = $(CDD_LINKOPTIONS) $(GMP_LINKOPTIONS) $(SOPLEX_LINKOPTIONS) $(SINGULAR_LINKOPTIONS) $(SAGE_LINKOPTIONS)
+ADDITIONALINCLUDEOPTIONS = $(CDD_INCLUDEOPTIONS) $(GMP_INCLUDEOPTIONS) $(SOPLEX_INCLUDEOPTIONS) $(SINGULAR_INCLUDEOPTIONS) $(SAGE_INCLUDEOPTIONS)
 
 
 MKDIR=mkdir -p
 
 
 SHELL       = /bin/sh
-ARCH        = LINUX
+#ARCH        = LINUX
 CC          = gcc
 CLINKER     = $(CC)
-CCC         = g++
-CCLINKER    = $(CCC)
-OPTFLAGS    = -O2 -DGMPRATIONAL
+CXX         = g++
+CCLINKER    = $(CXX)
+#OPTFLAGS    = -O2 -DGMPRATIONAL -DNDEBUG
+OPTFLAGS    = -O2 -DGMPRATIONAL -Wuninitialized
 
 CFLAGS	  = $(OPTFLAGS) $(GPROFFLAG) $(ADDITIONALINCLUDEOPTIONS) #-pedantic
 CCFLAGS	  = $(CFLAGS)
 FFLAGS	  = $(OPTFLAGS)
 
 CATSOBJECTS =	$(GCATSPATH)lp_cdd.o \
+		$(SOPLEX_OBJECTS) \
+		$(SINGULAR_OBJECTS) \
+		$(SAGE_OBJECTS) \
 		$(GCATSPATH)parser.o \
 		$(GCATSPATH)field.o \
 		$(GCATSPATH)monomial.o \
@@ -99,16 +143,74 @@
 		log.o \
 		tropicalbasis.o \
 		symmetriccomplex.o \
+		linalg.o \
+		minors.o \
+		continuedfractions.o \
+		triangulation.o \
+		minkowskidual.o \
+		regularsubdivision.o \
+		fieldlp.o \
+		field_rationalfunctions.o \
+		tropical_weildivisor.o \
+		intsinpolytope.o\
+		lattice.o \
+		graph.o \
+		restrictedautoreduction.o \
+		tropicaltraverse.o \
+		groebnerengine.o \
+		ge_gfan.o \
+		nbody.o \
+		codimoneconnectedness.o \
+		tropicalmap.o \
+		symmetrictraversal.o \
+		traverser_tropical.o \
+		traverser_groebnerfan.o \
+		field_rationalfunctions2.o \
+	mixedvolume.o \
+	traverser_stableintersection.o \
+	traverser_secondaryfan.o \
+	linalgfloat.o \
+	primarydecomposition.o \
+	tropicaldeterminant.o \
+	determinantpoly.o \
+	traverser_sphere.o \
+	gfanlib_zcone.o \
+	gfanlib_symmetry.o \
+	gfanlib_symmetriccomplex.o \
+	gfanlib_polyhedralfan.o \
+	gfanlib_zfan.o \
+	gfanlib_polymakefile.o \
+	padic.o \
+	integergb.o \
+	#	restrictedgfan.o \
+
+APPDELETEOBJECTS = 		app_add.o \
+		app_berndssuggestion.o \
+		app_grassmanndata2.o \
+		app_grassmanndata3.o \
+		app_construction.o \
+		app_checkridges.o \
+		app_edwinsconjecture.o \
+		app_fvector.o \
+		app_grassmanndata.o \
+		app_groupfacetbinomials.o \
+		app_istriangulation.o \
+		app_latticetest.o \
+		app_markpolynomialset.o \
+		app_moeckel.o \
+		app_polytopetopolynomial.o \
+		app_rendernewtonpolytope.o \
+		app_tropical.o \
+		app_xfigconstruction.o \
+		app_liststandardmonomials.o \
+#		app_isrefinement.o \    # needs to be fixed so that it compiles with gcc version 2.96 (legolas.imf.au.dk)
+
 
 APPOBJECTS = app_main.o \
 		app_buchberger.o \
-		app_construction.o \
 		app_doesidealcontain.o \
-		app_edwinsconjecture.o \
 		app_facets.o \
-		app_fvector.o \
 		app_groebnercone.o \
-		app_groupfacetbinomials.o \
 		app_homogeneityspace.o \
 		app_homogenize.o \
 		app_initialforms.o \
@@ -117,47 +219,85 @@
 		app_ismarkedgroebnerbasis.o \
 		app_krulldimension.o \
 		app_leadingterms.o \
-		app_liststandardmonomials.o \
-		app_markpolynomialset.o \
 		app_multiplymatrix.o \
 		app_polynomialsetunion.o \
 		app_render.o \
-		app_rendernewtonpolytope.o \
 		app_renderstaircase.o \
 		app_stats.o \
 		app_substitute.o \
 		app_supportindices.o \
 		app_tolatex.o \
 		app_transposematrix.o \
-		app_tropical.o \
 		app_tropicalbasis.o \
 		app_tropicalintersection.o \
 		app_tropicalstartingcone.o \
 		app_tropicaltraverse.o \
 		app_walk.o \
 		app_weightvector.o \
-		app_xfigconstruction.o \
 		app_scarfisgeneric.o \
 		app_scarfvisualize.o \
 		app_scarfcomplex.o \
 		app_sturmsequence.o \
 		app_latticeideal.o \
-		app_latticetest.o \
 		app_lll.o \
 		app_tropicalmultiplicity.o \
 		app_idealintersection.o \
 		app_test.o \
 		app_saturation.o \
-		app_triangulate.o \
 		app_idealproduct.o \
 		app_representatives.o \
 		app_tropicallifting.o \
-		app_add.o \
 		app_topolyhedralfan.o \
 		app_tropicalbruteforce.o \
-
-#		app_isrefinement.o \    # needs to be fixed so that it compiles with gcc version 2.96 (legolas.imf.au.dk)
-
+		app_secondaryfan.o \
+		app_composepermutations.o \
+		app_minors.o \
+		app_tropicalrank.o \
+		app_minkowski.o \
+		app_triangulate.o \
+		app_tropicallinearspace.o \
+		app_combinerays.o \
+		app_regularsubdivision.o \
+		app_lpsolve.o \
+		app_tropicalweildivisor.o \
+		app_lattice.o \
+		app_intsinpolytope.o\
+		app_tropicalevaluation.o \
+		app_smalessixth.o \
+		app_smalessixth2.o \
+		app_nbody.o \
+		app_spolynomial.o \
+		app_link.o \
+		app_normalfancleanup.o \
+		app_tropicalfunction.o \
+		app_volume.o \
+		app_isconnected.o \
+		app_tropicalhypersurface.o \
+		app_product.o \
+		app_commonrefinement.o \
+		app_tropicalimage.o \
+		app_groebnerfan.o \
+		app_fanhomology.o \
+		app_genericlinearchange.o \
+		app_mixedvolume.o \
+		app_fiberpolytope.o \
+		app_symmetries.o \
+		app_evaluate.o \
+		app_exponentlattice.o \
+		app_minimalassociatedprimes.o \
+		app_realroots.o \
+		app_initialdeterminant.o \
+		app_fansubfan.o \
+		app_fancones.o \
+		app_issmooth.o \
+		app_fancoarsening.o \
+		app_pointconfiguration.o \
+		app_librarytest.o \
+		app_padic.o \
+		app_integergb.o \
+		app_matrixproduct.o \
+		app_traversetropicalintersection.o \
+		app_markpolynomialset.o \
 
 EXECS	  = $(MAIN)
 
@@ -180,15 +320,28 @@
 	$(CCLINKER) $(OBJECTS) $(ADDITIONALLINKOPTIONS) $(GPROFFLAG) -o $(MAIN)
 
 release:
-	rm $(RELEASEDIR)/* -f -r
-	mkdir $(RELEASEDIR) -p
+	rm -f -r $(RELEASEDIR)/*
+	mkdir -p $(RELEASEDIR)
 	cp *.cpp $(RELEASEDIR)
 	cp *.h $(RELEASEDIR)
 	cp Makefile $(RELEASEDIR)
+	cp macmake $(RELEASEDIR)
 	cp README $(RELEASEDIR)
 	cp LICENSE $(RELEASEDIR)
 	cp COPYING $(RELEASEDIR)
-	mkdir $(RELEASEDIR)/examples/ -p
+
+	mkdir -p $(RELEASEDIR)/gfanlib
+	cp gfanlib/Makefile $(RELEASEDIR)/gfanlib/
+	cp gfanlib/Makefile.in $(RELEASEDIR)/gfanlib/
+	cp gfanlib/README.txt $(RELEASEDIR)/gfanlib/
+	cp gfanlib/configure $(RELEASEDIR)/gfanlib/
+	cp gfanlib/configure.ac $(RELEASEDIR)/gfanlib/
+
+	cp Doxyfile $(RELEASEDIR)
+	echo const char *GFAN_RELEASEDIR=\"$(RELEASEDIR)\"";" const char *GFAN_FORKTIME= >$(RELEASEDIR)/versioninfo.h
+	date "+\"%s %a %h %d %H:%M:%S %Y\"" >>$(RELEASEDIR)/versioninfo.h
+	echo ";" >>$(RELEASEDIR)/versioninfo.h
+	mkdir -p $(RELEASEDIR)/examples/
 #General examples:
 	cp examples/2x2of2x3 $(RELEASEDIR)/examples/
 	cp examples/2x2of2x4 $(RELEASEDIR)/examples/
@@ -236,7 +389,9 @@
 #	cp examples/commat3x3 $(RELEASEDIR)/examples/
 #	cp examples/commat3x3.cone $(RELEASEDIR)/examples/
 
-	mkdir $(RELEASEDIR)/doc/ -p
+	cp -r testsuite $(RELEASEDIR)/
+
+	mkdir -p $(RELEASEDIR)/doc/
 	cp doc/Makefile $(RELEASEDIR)/doc/
 	cp doc/*.bib $(RELEASEDIR)/doc/
 	cp doc/*.bbl $(RELEASEDIR)/doc/
@@ -245,11 +400,11 @@
 	cp doc/*.eps $(RELEASEDIR)/doc/
 	cp doc/*.bst $(RELEASEDIR)/doc/
 	cp doc/Makefile $(RELEASEDIR)/doc/
-	mkdir $(RELEASEDIR)/homepage/ -p
+	mkdir -p $(RELEASEDIR)/homepage/
 	cp homepage/*.png $(RELEASEDIR)/homepage/
 	cp homepage/*.html $(RELEASEDIR)/homepage/
 	cp homepage/Makefile $(RELEASEDIR)/homepage/
-	mkdir $(RELEASEDIR)/homepage/presentation -p
+	mkdir -p $(RELEASEDIR)/homepage/presentation
 	cp homepage/presentation/*.fig $(RELEASEDIR)/homepage/presentation/
 	cp homepage/presentation/*.tex $(RELEASEDIR)/homepage/presentation/
 	cp homepage/presentation/*.eps $(RELEASEDIR)/homepage/presentation/
@@ -267,25 +422,6 @@
 install: $(BINDIR)
 	cp $(EXECS) $(BINDIR)
 #	cp $(EXECS) /usr/local/bin
-	./gfan installlinks --path $(BINDIR)/
-.c.o:
-	$(CC) $(CFLAGS) -c $<
-.cc.o:
-	$(CCC) -c $<
-.cpp.o:
-	$(CCC) $(CFLAGS) -c $<
-.C.o:
-	$(CCC) -c $<
-# wget http://ftp.sunet.se/pub/gnu/gmp/gmp-4.2.2.tar.gz
-# tar -xzvf gmp-4.2.2.tar.gz
-# cd gmp-4.2.2
-# ./configure --prefix=$HOME/gmp
-# make
-# make install
-# make check
-# cd..
-
-# wget ftp://ftp.ifor.math.ethz.ch/pub/fukuda/cdd/cddlib-094d.tar.gz  # THIS LINE DOES NOT WORK!
-# tar -xzvf cddlib-094d.tar.gz
-# cd cddlib-094d
-# ./configure --prefix="$HOME/cddlib" CFLAGS="-I$HOME/gmp/include -L$HOME/gmp/lib"
+#	./gfan installlinks --path $(BINDIR)/
+	cd $(BINDIR) && ./gfan installlinks
+library:

=== gfanlib/Makefile ===
#################################################################
###
### Makefile for Singular
###
#################################################################

SHELL		= /bin/sh

##
## various paths
##
srcdir		= .
prefix 		= /usr/local
exec_prefix 	= ${prefix}
libdir 		= ${exec_prefix}/lib
# includes are taken from here
includedir	= ${prefix}/include

##
## various programs
##

CXX		= g++
INSTALL		= @INSTALL@
INSTALL_PROGRAM	= @INSTALL_PROGRAM@
INSTALL_DATA	= @INSTALL_DATA@
MKINSTALLDIRS   = ../mkinstalldirs
LN_S		= ln -s
RANLIB 		= ranlib

##
## compiler and linker options
##
PIPE		= -pipe
CFLAGS		= -g -O2 ${PIPE}
CXXFLAGS	= -g -O2 ${PIPE}
#CXXTEMPLFLAGS	= -fno-implicit-templates --no-exceptions
CPPFLAGS	= -I${srcdir} -I${includedir}
DEFS		= -DGMPRATIONAL

## End configuration dependend stuff
#################################################################

###
### file sets
###

# normal C++ source files
CXXSOURCES= gfanlib_zcone.cpp gfanlib_symmetry.cpp gfanlib_symmetriccomplex.cpp gfanlib_polyhedralfan.cpp gfanlib_zfan.cpp gfanlib_polymakefile.cpp

# normal C source files
CSOURCES=

SOURCES=${CSOURCES} ${CXXSOURCES}

HEADERS=gfanlib_z.h gfanlib_q.h gfanlib_vector.h gfanlib_matrix.h gfanlib_zcone.h gfanlib.h gfanlib_polyhedralfan.h gfanlib_polymakefile.h gfanlib_symmetriccomplex.h gfanlib_zfan.h

DISTFILES=${SOURCES} ${HEADERS}

OBJS := $(CXXSOURCES:.cpp=.o) $(CSOURCES:.c=.o)

.cpp.o:	
	${CXX} ${CXXFLAGS} ${CPPFLAGS} ${DEFS} -c $<
.c.o:
	${CC} ${CFLAGS} ${CPPFLAGS} ${DEFS} -c $<

libgfan.a: ${OBJS}
	 -rm -f $@
	 ar cr $@ $^

all:  libgfan.a

install: all
	${MKINSTALLDIRS} ${includedir}
	${MKINSTALLDIRS} ${libdir}
	cp gfanlib*.h ${includedir}/
	cp libgfan.a ${libdir}/libgfan.a
	$(RANLIB) ${libdir}/libgfan.a

##
## clean targest
##
mostlyclean: 
	-rm -f *.o *.og core *.op

clean: mostlyclean
	-rm -f *.bak *.d *.dd depend *.a *.so*

tags:   
	ctags *.c *.h *.cc *.inc

=== debian/changelog ===
gfan (0.5+dfsg-5) unstable; urgency=medium

  * debian/patches:
    + add fix_compilation_clang.diff to properly forward declare some classes
      (Closes: #755308)
    + add fix_other_warnings_clang.diff to remove some other warnings about
      format strings and a typo in a macro name
  * debian/copyright: fix upstream email address
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Move upstream info to debian/upstream/metadata

 -- Cédric Boutillier <boutil@debian.org>  Sun, 26 Oct 2014 18:54:17 +0100

gfan (0.5+dfsg-4) unstable; urgency=low

  * add fix_GetUniqueGenerators_symmetry.patch to fix a range error causing a
    segmentation fault on powerpc.

 -- Cédric Boutillier <boutil@debian.org>  Mon, 23 Sep 2013 15:04:31 +0200

gfan (0.5+dfsg-3) unstable; urgency=low

  * Upload to unstable.
  * modify remove_failing_tests_on_32bits.patch to replace command of
    0009RenderStairCase test with an empty one instead of deleting it.
  * remove lintian override about spelling error

 -- Cédric Boutillier <boutil@debian.org>  Tue, 09 Jul 2013 10:44:01 +0200

gfan (0.5+dfsg-2) experimental; urgency=low

  * Set priority to extra instead of optional
  * Incorporate and acknowledge changes from NMU 0.3dfsg-1.1. Thanks Gregor
    Herrmann.
  * debian/patches:
    + add remove_failing_tests_on_32bits.patch to circumvent a FTBFS described
      in bug #703035
  * add debian/upstream

 -- Cédric Boutillier <boutil@debian.org>  Thu, 14 Mar 2013 23:47:30 +0100

gfan (0.5+dfsg-1) experimental; urgency=low

  * New upstream version.
    + repack upstream tarball to remove non-free doc/ directory
    + setup debian/gbp.conf to automatically filter out doc/ for next versions
  * debian/patches:
    + remove gfan-installlinks-relative.patch: applied upstream
    + add remove_extra_declaration.patch: left-over declaration causing error
    + add use_system_cdd.patch: cdd headers are in /usr/include/cdd
    + set_locale_test_0008.patch: fix locale for consistency in sorted output
    + fix_command_test_0056.patch: use relative path for func.poly file
    + string_subst_test_50x.patch: replace gfan by %s as in other tests
    + dont_forget_flags_debian.patch: take into account default flags set by
      Debian
    + fix_spelling_errors.patch: fix some spelling errors in displayed
      messages of the program
  * debian/control:
    + add myself to Uploaders:, set Maintainer: to Debian Science Maintainers
    + update homepage url
    + bump Standards-Version" to 3.9.4 (no particular change needed)
  * debian/rules:
    + use dh as a packaging helper instead of cdbs
    + use hardening flags
  * debian/copyright:
    + convert to DEP-5 copyright-format/1.0
  * add debian/watch file
  * debian/source/local-options: add unapply-patches
  * override lintian message about missing upstream changelog
  * debian/gfan.1: rewrite to give a general presentation of gfan.

 -- Cédric Boutillier <boutil@debian.org>  Sat, 16 Feb 2013 16:41:16 +0100

gfan (0.3dfsg-1.1) unstable; urgency=low

   * Non-maintainer upload.
   * Fix "FTBFS: application.cpp:548:22: error: format not a string
     literal and no format arguments [-Werror=format-security]":
     add patch fix-string-format-error.patch from Eric Alexander.
     (Closes: #643383)

 -- gregor herrmann <gregoa@debian.org>  Sun, 20 Nov 2011 15:10:13 +0100 

gfan (0.3dfsg-1) unstable; urgency=low

  * Initial release (Closes: #480089).

 -- Tim Abbott <tabbott@mit.edu>  Thu, 05 Jun 2008 17:47:51 -0400

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,10 @@
 Section: math
 Priority: extra
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Tim Abbott <tabbott@mit.edu>,
-	   Cédric Boutillier <boutil@debian.org>,
-	   Doug Torrance <dtorrance@piedmont.edu>
+Uploaders: Tim Abbott <tabbott@mit.edu>, Cédric Boutillier <boutil@debian.org>
 Homepage: http://home.imf.au.dk/jensen/software/gfan/gfan.html
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/gfan.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/gfan.git
 Build-Depends: debhelper (>= 9), libgmp3-dev, libcdd-dev (>= 094g~), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 
 Package: gfan
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk

export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS=1
DEB_DESTDIR=./debian/gfan


%:
	dh $@

override_dh_auto_install:
	$(MAKE) install PREFIX=$(DEB_DESTDIR)/usr

override_dh_auto_test:
	./gfan _test

override_dh_clean:
	dh_clean -X~

override_dh_link:
	for x in $(DEB_DESTDIR)/usr/bin/* ; do \
		dh_link usr/share/man/man1/gfan.1 usr/share/man/man1/`basename $$x`.1; \
	done

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://home.imf.au.dk/jensen/software/gfan/gfan.html gfan(.+)\.tar\.gz
